%define anolis_release 2

Name:	        xcb-util-renderutil
Version:        0.3.10
Release:        %{anolis_release}%{?dist}
Summary:	    Additional extensions to the XCB library
License:	    MIT
URL:		    http://xcb.freedesktop.org
Source0:	    http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz

BuildRequires:  gcc gcc-c++ make autoconf
BuildRequires:  pkgconfig(xcb) >= 1.4 pkgconfig(xcb-render) m4

%description
The xcb-util-renderutil package provides additional extensions to the XCB library.

%package 	devel
Summary:	Development and header files for xcb-util-renderutil
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for xcb-util-renderutil.

%package doc
Summary:        Documentation files for xcb-util-renderutil
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The xcb-util-renderutil-doc package contains documentation files for xcb-util-renderutil.


%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build

%check
%make_build check

%install
%make_install


%files
%{_libdir}/lib*.so.*
%license COPYING

%files devel
%doc NEWS
%{_libdir}/pkgconfig/xcb-renderutil.pc
%{_libdir}/libxcb-render-util.so
%{_includedir}/xcb/xcb_renderutil.h

%files doc
%doc README.md


%changelog
* Tue Apr 11 2023 chen_yu_ao <m15927509890@163.com> - 0.3.10-2
- change spec file format

* Thu Nov 17 2022 Funda Wang <fundawang@yeah.net> - 0.3.10-1
- New version 0.3.10

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.9-2
- add doc package

* Wed Jul 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.9-1
- Init from upstream version 0.3.9
